commit:     26ccda2222cbc47744acb5d024a2a529de063430
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 26 08:57:28 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 26 09:07:12 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26ccda22

dev-python/apsw: Bump to 3.50.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/apsw/Manifest             |  1 +
 dev-python/apsw/apsw-3.50.3.0.ebuild | 53 ++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index 15fde9857dc7..1208d7b5c4dc 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -3,3 +3,4 @@ DIST apsw-3.49.2.0.zip 2440796 BLAKE2B 
0984ba94a581d9cdc72d0a9f4dd823207cd7b6cef
 DIST apsw-3.50.0.0.zip 2530510 BLAKE2B 
ae129f716ffa2b560e1983513c9cdace5225fda846be64080035f083d0b6e6fedc2367a7039aeb33b373076449862794932db331f0a7c3488e95e3e3c1af7fcf
 SHA512 
90c2df39cf6f2347449b809688c4789105f1e74b19292c82bf7271e6ba4f5ef70a71da65f8e8aec8b34ca16ea1e4ff7fbf386500b9d09958a9611e09c788e91c
 DIST apsw-3.50.1.0.zip 2531812 BLAKE2B 
b187040c31470c975230c09053a09e608b80a2bba0ecf1edbf91ed2c5754d4b52d4a5310275ad3c4900e177124fa2a42f1e895ed607e509289862cfe5fc61e1a
 SHA512 
d4d8e543950587bb772bc9bc04f0882378f430998ba26e1b0dc2bdee46c4a5e1539100770e4d2d9c800a37958730c0e24178cefbfaf01debb2367d738e1ecbde
 DIST apsw-3.50.2.0.zip 2532293 BLAKE2B 
fbaafb0936bfd3925044615f3ff966162557e34b66c8e2fef4cdf1fdd71d0acf295d52ef94b6c3f4253e76cd506674b6f142c051157ac62e3adabfa154535ed8
 SHA512 
937c58fcaa62ce71ad64535ee613c1d35f5f46d0951c991f473c94e6c23fc979017a31e4a44af922054529dbb2f33dd5048f7b6e694452f17514d802c56b1d6d
+DIST apsw-3.50.3.0.zip 2551434 BLAKE2B 
0f84b5f2ebffb67550fad53b0b84069d55df3b86a160ee7039d62627d13c3eb2f3584490e8f6a0e406a7bab88ea1d1ac0c2d2232d62b1c092d589addd6140be6
 SHA512 
0451eb3f3f6b9eb8da2497ab7bd9a3c26fd50a396f3e0bdaf1b303eb028f265c948be140c202ca568768358527c440c56c37194252520c22ea8f3ccac2886a18

diff --git a/dev-python/apsw/apsw-3.50.3.0.ebuild 
b/dev-python/apsw/apsw-3.50.3.0.ebuild
new file mode 100644
index 000000000000..bbde61020ea5
--- /dev/null
+++ b/dev-python/apsw/apsw-3.50.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="
+       https://github.com/rogerbinns/apsw/
+       https://pypi.org/project/apsw/
+"
+SRC_URI="
+       https://github.com/rogerbinns/apsw/releases/download/${PV}/${P}.zip
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="
+       >=dev-db/sqlite-${PV%.*}:3
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       app-arch/unzip
+"
+
+src_configure() {
+       cat >> setup.apsw <<-EOF || die
+               [build_ext]
+               use_system_sqlite_config=True
+       EOF
+}
+
+python_test() {
+       esetup.py build_test_extension
+       cd "${T}" || die
+       "${EPYTHON}" -m apsw.tests -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       doman man/apsw.1
+       use doc && local HTML_DOCS=( doc/. )
+       distutils-r1_python_install_all
+}

Reply via email to